/* giFTui
 * Copyright (C) 2003 the giFTui team
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 */

#ifndef __UI_BROWSE_H__
#define __UI_BROWSE_H__

/*
  GiftuiChild
      +----GiftuiChildBrowse
*/

#define GIFTUI_TYPE_CHILD_BROWSE (giftui_child_browse_get_type ())
#define GIFTUI_CHILD_BROWSE(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), GIFTUI_TYPE_CHILD_BROWSE, GiftuiChildBrowse))
#define GIFTUI_CHILD_BROWSE_CLASS(class) (G_TYPE_CHECK_CLASS_CAST ((class), GIFTUI_TYPE_CHILD_BROWSE, GiftuiChildBrowseClass))
#define GIFTUI_IS_CHILD_BROWSE(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GIFTUI_TYPE_CHILD_BROWSE))
#define GIFTUI_IS_CHILD_BROWSE_CLASS(class) (G_TYPE_CHECK_CLASS_TYPE ((class), GIFTUI_TYPE_CHILD_BROWSE))
#define GIFTUI_CHILD_BROWSE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), GIFTUI_TYPE_CHILD_BROWSE, GiftuiChildBrowseClass))

typedef struct _GiftuiChildBrowse GiftuiChildBrowse;
typedef struct _GiftuiChildBrowseClass GiftuiChildBrowseClass;

struct _GiftuiChildBrowse
{
	GiftuiChild parent_instance;
	
	/* < private data > */
	GtkWidget *refresh;
	GtkWidget *stop;
	
	GtkWidget *entry; /* User */
	GtkWidget *icon;
	GtkWidget *stats; /* stats */
	
	GtkWidget *list;  /* Where we put results */
	GtkWidget *popup; /* Popup menu */
	
	guint id;
	gchar *user;
	guint files;
};

struct _GiftuiChildBrowseClass
{
	GiftuiChildClass parent_class;
};

GType giftui_child_browse_get_type (void);
GtkWidget *giftui_child_browse_new (const gchar *user);

#endif
